<?php
require_once('classes/body.class.php');
require_once('classes/db.class.php');
require_once('classes/system.class.php');
$title= new Body;
$title->SetTitle(''.homeurl.' - Мои реквизиты');

///Подключаем шапку
$title->GetHeader();

if ($b == false){
header('location:/');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Мои реквизиты </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/office" rel="v:url" property="v:title">Кабинет</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Мои реквизиты</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';

echo '<div class="catSides"><a href="/"><i class="md-format-list-bulleted"></i> Главная </a> - <a href="/office"> Кабинет</a> - Мои реквизиты</div>';

if (!isset($_POST['save'])) {
echo '<div class="row text_box"><form action="?" method="post">WMID:<br/><input type="text" class="form-control"'.(($b['wmid']==NULL) ? NULL:'disabled="disabled"  class="form-control" id="disabledInput" value="'.$b['wmid'].'"').' name="wmid"/><br/>WMR кошелёк:<br/><input type="text" class="form-control"name="wmr" '.(($b['wmr']==NULL) ? 'value="R"':'disabled="disabled" class="form-control" id="disabledInput" value="R'.$b['wmr'].'"').'/><br/>
'.((empty($b['wmr']) && empty($b['wmid'])) ? '<b><strong>* Будьте внимательны, эти данные потом нельзя изменить!</strong></b><br/>
<input type="submit" name="save" class="btn btn-primary" value="Сохранить"/>':NULL).'</div>';
} else {
$wmid = check($_POST['wmid']);
$wmr = check($_POST['wmr']);
$wmr = substr($wmr, 1, 12);
if (empty($wmid) OR empty($wmr)){ 
err('Вы не ввели WMID или WMR кошелёк!');
} elseif (!is_numeric($wmid) OR !is_numeric($wmr)) {
err('Буквы в данных?! o_O');
} elseif (strlen($wmid) !== 12 OR strlen($wmr) !== 12){
err('Невозможная длина WMID и WMR кошелька!');
} else {
DB::$dbs->query("UPDATE `blogger` SET `wmid` = ?, `wmr` = ? WHERE `id` = ?",[$wmid,$wmr,$b['id']]);
header('location: ?');
}
}

///Подключаем меню
$title->GetMenu();

///Подключаем футер
$title->GetFooter();
?>